Skip to main content
GET
/
searchCluster
/
{id}
/
systemInfo
Get search cluster system info
import requests

url = "https://{FUSION HOST}/api/searchCluster/{id}/systemInfo"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/searchCluster/{id}/systemInfo")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/searchCluster/{id}/systemInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/searchCluster/{id}/systemInfo")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/searchCluster/{id}/systemInfo"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/searchCluster/{id}/systemInfo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/searchCluster/{id}/systemInfo
{}

Path Parameters

id
string
required

The cluster ID.

Query Parameters

nodeName
string

Return information only for the named node.

all
boolean

When true, system information for every node of the cluster is returned.

Response

200 - application/json

successful operation

{key}
object